"use client";
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TailwindDebugger = void 0;
var react_1 = __importDefault(require("react"));
require("../tw-output.css");
var TailwindDebugger = function () {
    var _a = react_1.default.useState({ width: 0, height: 0 }), dimensions = _a[0], setDimensions = _a[1];
    react_1.default.useEffect(function () {
        function updateDimensions() {
            setDimensions({
                width: window.innerWidth,
                height: window.innerHeight,
            });
        }
        updateDimensions();
        window.addEventListener("resize", updateDimensions);
        return function () {
            window.removeEventListener("resize", updateDimensions);
        };
    }, []);
    var width = dimensions.width, height = dimensions.height;
    return (react_1.default.createElement("div", { className: "fixed bottom-5 left-5 z-50 flex items-center space-x-2 rounded-full bg-black px-2.5 py-1 font-mono text-xs font-medium text-white" },
        react_1.default.createElement("span", null,
            width.toLocaleString(),
            " x ",
            height.toLocaleString()),
        react_1.default.createElement("div", { className: "h-4 w-px bg-gray-800" }),
        react_1.default.createElement("span", { className: "sm:hidden" }, "XS"),
        react_1.default.createElement("span", { className: "hidden sm:inline md:hidden" }, "SM"),
        react_1.default.createElement("span", { className: "hidden md:inline lg:hidden" }, "MD"),
        react_1.default.createElement("span", { className: "hidden lg:inline xl:hidden" }, "LG"),
        react_1.default.createElement("span", { className: "hidden xl:inline 2xl:hidden" }, "XL"),
        react_1.default.createElement("span", { className: "hidden 2xl:inline" }, "2XL")));
};
exports.TailwindDebugger = TailwindDebugger;
