"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCopyElementText = void 0;
var react_1 = require("react");
var useCopyElementText = function () {
    var elementRef = (0, react_1.useRef)(null);
    var timeoutRef = (0, react_1.useRef)(null);
    var _a = (0, react_1.useState)(false), clicked = _a[0], setClicked = _a[1];
    var handleCopyClick = (0, react_1.useCallback)(function () {
        var _a, _b;
        if (timeoutRef.current) {
            clearTimeout(timeoutRef.current);
        }
        if (!elementRef.current) {
            return;
        }
        (_b = (_a = navigator.clipboard) === null || _a === void 0 ? void 0 : _a.writeText) === null || _b === void 0 ? void 0 : _b.call(_a, elementRef.current.innerText);
        setClicked(true);
        timeoutRef.current = setTimeout(function () { return setClicked(false); }, 1000);
    }, []);
    return { ref: elementRef, onClick: handleCopyClick, pending: clicked };
};
exports.useCopyElementText = useCopyElementText;
